#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from models.base import *
from config import settings
from utils import *
from database import get_local_db, get_share_db
from sqlalchemy import text
from sqlalchemy.sql import func
from sqlalchemy.orm import Session
from extensions import logger
import traceback
import base64
from datetime import datetime
from common.enc import sys_user_data, sys_post_data, sys_role_data, sys_dept_data
from common.enc import sys_user_role_data, sys_user_post_data, sys_role_dept_data, sys_role_menu_data
from common.enc import sys_czrz_data
from utils.redis_util import *

# 对数据进行加密处理
def sign_data_proc():
    lock_key = "sign_data_proc"
    if redis_lock(lock_key):
        logger.info(datetime.now())

        # 系统用户表
        sys_user_data.sign_table()
        sys_dept_data.sign_table()

        sys_post_data.sign_table()
        sys_role_data.sign_table()
        
        # # 关联表
        sys_user_role_data.sign_table()
        sys_user_post_data.sign_table()
        sys_role_dept_data.sign_table()
        # sys_role_menu_data.sign_table()
        
        sys_czrz_data.sign_table()

        redis_unlock(lock_key)