# -*- coding: utf-8 -*-
from sqlalchemy import String, Column, Integer, DateTime,Text,BigInteger,Float
from sqlalchemy.dialects.mysql import TINYINT
from sqlalchemy.sql import func
from database import Base
from datetime import datetime

class ChemicalCompany(Base):
    __tablename__ = 'chemical_company'

    id = Column(BigInteger, primary_key=True,autoincrement=True, comment='主键')
    province = Column(String, default='', comment='省')
    city = Column(String, default='', comment='地市')
    area = Column(String, default='', comment='区县')
    company_name = Column(String, default='', comment='企业名称')
    company_code = Column(String, default='', comment='企业编码')
    company_type = Column(String, default='', comment='企业类型')
    is_import = Column(String, default='', comment='是否涉及进口')
    is_manage = Column(String, default='', comment='是否涉及经营')
    registration_date = Column(String, default='', comment='工商注册时间')
    registration_address = Column(String, default='', comment='工商注册地址')
    credit_code = Column(String, default='', comment='统一社会信用代码')
    industry_classification = Column(String, default='', comment='行业分类')
    production_scale = Column(Text, default='', comment='主要产品及生产规模')
    chemical_park_location = Column(String, default='', comment='所在化工园区')
    emergency_contact_number = Column(String, default='', comment='安全值班电话')
    emergency_response_hotline = Column(String, default='', comment='应急咨询服务电话')
    qyagjgfzr_phone = Column(String, default='', comment='企业安管机构负责人手机号')
    qyfgaqfzr_phone = Column(String, default='', comment='企业分管安全负责人手机号')
    sfqdwxhxpaqscxkz = Column(String, default='', comment='是否取得危险化学品安全生产许可证')
    xkzbh = Column(String, default='', comment='许可证编号')
    sfqdwxhxpjyxkz = Column(String, default='', comment='是否取得危险化学品经营许可证')
    sfqdwxhxpsyxkz = Column(String, default='', comment='是否取得危险化学品使用许可证')
    factory_address = Column(String, default='', comment='厂区地址')
    hazard_source = Column(Text, default='', comment='重大危险源')
    hazardous_chemical_process = Column(Text, default='', comment='危险化工工艺')
    issuance_date = Column(String, default='', comment='发证日期')
    certificate_expiry_date = Column(String, default='', comment='证书有效期')
    company_registration_number = Column(String, default='', comment='企业登记证编码')
    number_of_employees = Column(Integer, default='0', comment='职工人数')
    deregistration_date = Column(String, default='', comment='注销时间')
    scale_of_enterprise = Column(String, default='', comment='企业规模')
    chemical_industry_classification = Column(String, default='', comment='化工行业分类')
    safe_level = Column(String, default='', comment='安全标准化等级')
    priority = Column(String, default='', comment='重点行业')
    longitude = Column(Float, comment='经度')
    latitude = Column(Float, comment='纬度')
    formatted_address = Column(String, default='', comment='地址')
    s_last_updatetime = Column(DateTime, comment='更新时间')

    class Config:
        orm_mode = True
